{ config, ... }:
{
  wayland.windowManager.sway.config = {
    colors = {
      focused = {
        border = "#${config.look.colors.prime}";
        background = "#${config.look.colors.prime}";
        text = "#FFFFFF";
        indicator = "#${config.look.colors.actSplit}";
        childBorder = "#${config.look.colors.prime}";
      };
      focusedInactive = {
        border = "#${config.look.colors.accent}";
        background = "#${config.look.colors.accent}";
        text = "#${config.look.colors.text}";
        indicator = "#${config.look.colors.split}";
        childBorder = "#${config.look.colors.accent}";
      };
      unfocused = {
        border = "#${config.look.colors.dark}";
        background = "#${config.look.colors.dark}";
        text = "#${config.look.colors.text}";
        indicator = "#${config.look.colors.split}";
        childBorder = "#${config.look.colors.split}";
      };
      urgent = {
        border = "#${config.look.colors.urgent}";
        background = "#${config.look.colors.urgent}";
        text = "#${config.look.colors.text}";
        indicator = "#${config.look.colors.urgent}";
        childBorder = "#${config.look.colors.urgent}";
      };
    };

    bars = [ ];

    fonts = {
      names = [ config.look.fonts.main ];
      size = 10.5;
    };

    window = {
      border = config.look.border.int;
      hideEdgeBorders = "smart";
    };

    floating = {
      border = config.look.border.int;
      titlebar = false;
    };

    gaps = {
      inner = 5;
      smartGaps = true;
    };

    output = {
      "*".bg = "${builtins.toString ./wallpapers/1.png} fill";

      "${config.displays.tower2}".bg = "${builtins.toString ./wallpapers/2.png} fill";
      "${config.displays.tower3}".bg = "${builtins.toString ./wallpapers/3.png} fill";

      "${config.displays.estradiol2}".bg = "${builtins.toString ./wallpapers/2.png} fill";
    };
  };
}
